<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>BootStrap Grid Exercise</title>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">

        <!-- Optional theme -->
        <link rel="stylesheet" href="css/bootstrap-theme.min.css">

        <!-- Latest compiled and minified JavaScript -->
        <script src="js/bootstrap.min.js"></script>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            <h1 style="text-align:center">Bootsstrap grid exercise</h1>
            <h2>Container types</h2>
            <div class="container" style="background-color:#d43f3a">
                <h3>Container</h3>
                <p>Responsive container with padding right and padding-left value "16px", margin-right and margin-left value "auto", and 3 media query for responsiviness</p>
            </div>
            <div class="container-fluid" style="background-color:#269abc">
                <h3>Container-fluid</h3>
                <p>Non-responsive cointainer with "width" property at 100%</p>
            </div>
        </div>
        <div class="container">
            <h2>Grid System</h2>
            <div class="row">
                <div class="col-lg-2 col-md-4 col-sm-8 col-xs-12" style="background-color: #d43f3a">
                    <h2>Column 1</h2>
                    <p>Column of dimensions: col-xs-12: 12 grids for mobile phones. col-sm-8:8 grids for Tablets. cold-md-4: 4 grids for desktops. col-lg-2: 2 grids for large desktops. </p>
                </div>
                <div class="col-lg-2 col-md-4 col-sm-2 col-xs-12" style="background-color: #269abc">
                    <h2>Column 2</h2>
                    <p>Column of dimensions: col-xs-12: 12 grids for mobile phones. col-sm-8:8 grids for Tablets. cold-md-4: 4 grids for desktops. col-lg-2: 2 grids for large desktops. </p>
                </div>
                <div class="col-lg-8 col-md-4 col-sm-2 col-xs-12" style="background-color:#d43f3a">
                    <h2>Column 3</h2>
                    <p>Column of dimensions: col-xs-12: 12 grids for mobile phones. col-sm-8:8 grids for Tablets. cold-md-4: 4 grids for desktops. col-lg-2: 2 grids for large desktops. </p>
                </div>
            </div>
            <div class="row">
                <h2>Offset Columns</h2>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" style="background-color:#d43f3a">
                    <h2>Column 1</h2>
                    <p>Column size 4 grids... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv.</p>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 col-md-offset-4" style="background-color:#269abc">
                    <h2>Column 2</h2>
                    <p>Column size 4 grids and offset 4 grids... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv?</p>
                </div>
            </div>
            <div class="row">
                <h2>Change Order Columns</h2>
                <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4" style="background-color:#d43f3a">
                    <h2>Column 1</h2>
                    <p>Column size 4 grids... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv.</p>
                </div>
                <div class="col-lg-4 col-md-12 col-sm-12 col-xs-12 col-lg-pull-8" style="background-color:#269abc">
                    <h2>Column 2</h2>
                    <p>Column size 4 grids and offset 4 grids... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv?</p>
                </div>
            </div>
            <div class="row">
                <h2>Hidden Columns</h2>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-8" style="background-color: #d43f3a">
                    <h2>Column 1</h2>
                    <p>This column will always be visible ... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv.</p>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-8 col-xs-4 hidden-xs" style="background-color: #269abc">
                    <h2>Column 2</h2>
                    <p>This column will be hidden in "xs" resolution ... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv. </p>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4 hidden-sm" style="background-color:purple">
                    <h2>Column 3</h2>
                    <p>This column will be hidden in "sm" resolution ... ajsaludgsaldgsalydsalbn  usahduaishdas  asdgsa sausa dsauidsa asyudasblhas dasugdasyg dsaffuifsd sduydsauylldugsa uiasdbdasv. </p>
                </div>
            </div>
        </div>
    </body>
</html>
